Intereting Posts
Позиция фиксированная не работает в мобильном браузере Android google analytics v3: «Сервис недоступен» ADB нажимает несколько файлов с одним расширением с одной командой Как открыть новый фрагмент из другого фрагмента Новый API GCM Регистрация неизвестной исходной ошибки Как отправить файл .apk внутри приложения с помощью Bluetooth Предупреждение JavaScript не работает в Android WebView Android webView saveState Как реализовать бесконечную галерею в Android? Как создать пользовательский адаптер курсора для списка для использования с изображениями и текстом? Неправильное положение шкалы после применения эффекта масштабирования на холсте Android Перетащить список списка в другой список listview Как использовать layout_width с помощью файла ресурсов? Загрузка изображения с Android (с Android Asynchronous Http Client) на сервер rails (с помощью paperclip) Приложение загружает неправильные текстуры при открытии снова

Импортирование CardView и RecyclerView (Android 5.0) в мой существующий проект (eclipse)

Я хочу импортировать CardView и RecyclerView в свой существующий проект. Я использую ECLIPSE. Я читал другие ответы в stackoverflow, но все они предназначены для Android Studio. Может ли кто-нибудь мне помочь?

Ошибка, которую я получаю: CardView не может быть разрешен для типа.

Обновление: ответ Commonwares помог мне решить эту проблему. Но теперь у меня другая ошибка. (Ошибка раздувания класса и android.support.v7.widget.CardView). Пожалуйста, помогите мне.

Solutions Collecting From Web of "Импортирование CardView и RecyclerView (Android 5.0) в мой существующий проект (eclipse)"

Они также доступны как проекты библиотеки Android сейчас, в extras/android/support/v7/ вашей установки SDK. Сделайте копию этих проектов в другом месте на вашем жестком диске, импортируйте их в Eclipse, а затем ссылайтесь на них как на библиотеки из вашего приложения, следуя инструкциям в документации .

В настоящее время для получения recyclerView вы сначала загружаете из диспетчера sdk репозиторий поддержки Android в разделе «Дополнительно». После этого вам нужно импортировать все библиотеки здесь (начиная с вашего пути к папке sdk):

 sdk\extras\android\m2repository\com\android\support 

Введите описание изображения здесь

Добавив android-support-v7-recyclerview.jar из папки: sdk\extras\android\support\v7\recyclerview\libs в libs разрешил мою проблему.

Для RecyclerView я могу запустить, просто добавив файл jar recycler, полученный из папки libs recycler в папке поддержки v7 для cardview, я импортировал ее как проект android, сделал ее как библиотеку и добавил в свой проект. Пользовательский интерфейс моего андроида работал идеально для первого запуска, но теперь он показывает ошибку в редакторе пользовательского интерфейса, но отлично работает в эмуляторе. Надеюсь, поможет

Добавьте appcompat-v7.jar в свои appcompat-v7.jar . Эта проблема будет решена.

Наконец, я решил свою проблему.

… / SDK / дополнения / Android / поддержка / v7 /

 >appcompat >libs >android-support-v4.jar >android-support-v7-appcompat.jar >cardview >libs >android-support-v7-cardview.jar >gridlayout >libs >android-support-v7-gridlayout.jar >mediarouter >libs >android-support-v7-mediarouter.jar >palette >libs >android-support-v7-palette.jar >recyclerview >libs >android-support-v7-recyclerview.jar 

Скопируйте все файлы jar выше в ваши проекты libs и используйте эту версию android-support-v4.jar выше, а не свою